/* *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Copyright 2020 - Koninklijk Nederlands Meteorologisch Instituut (KNMI)
 * */

body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  margin: 0;
  padding: 0;
}

html {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

#app {
  height: 100%;
}

#root {
  height: 100%;
}

.viewer_wrapper {
  display: grid;
  grid-gap: 0px;
  grid-template-rows: 60px 1fr 25px;
  grid-template-columns: 30px 1fr 100px;
  grid-template-areas:
    'viewer_header viewer_header viewer_header'
    'viewer_content viewer_content viewer_content'
    'viewer_footer viewer_footer viewer_footer';
  background-color: #fff;
  color: #444;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.viewer_content {
  grid-area: viewer_content;
  background-color: white;
  color: black;
  height: 100%;
}

.viewer_header {
  grid-area: viewer_header;
  background-color: #01547d;
  color: white;
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),
    0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
  /* border-bottom: 1px solid #D5D5D5; */
  padding: 15px;
  font-size: 1.25rem;
  font-family: 'Roboto', 'Helvetica', 'Arial', sans-serif;
  font-weight: 500;
  line-height: 1.6;
  letter-spacing: 0.0075em;
  z-index: 20;
}

.viewer_footer {
  grid-area: viewer_footer;
  background-color: #01547d;
  color: white;
  box-shadow: 0px -2px 4px -1px rgba(0, 0, 0, 0.2),
    0px -4px 5px 0px rgba(0, 0, 0, 0.14), 0px -1px 10px 0px rgba(0, 0, 0, 0.12);
  /* border-bottom: 1px solid #D5D5D5; */
  padding: 4px;
  font-size: 0.75rem;
  font-family: 'Roboto', 'Helvetica', 'Arial', sans-serif;
  font-weight: 500;
  line-height: 1.6;
  letter-spacing: 0.0075em;
  z-index: 20;
}
